aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/aws-encryption-sdk.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/aws-encryption-sdk.sh')
-rwxr-xr-x.travis/downstream.d/aws-encryption-sdk.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.travis/downstream.d/aws-encryption-sdk.sh b/.travis/downstream.d/aws-encryption-sdk.sh
new file mode 100755
index 00000000..e478cd8a
--- /dev/null
+++ b/.travis/downstream.d/aws-encryption-sdk.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/awslabs/aws-encryption-sdk-python
+ cd aws-encryption-sdk-python
+ pip install -r test/requirements.txt
+ pip install -e .
+ ;;
+ run)
+ cd aws-encryption-sdk-python
+ pytest -m local test/
+ ;;
+ *)
+ exit 1
+ ;;
+esac